%define major 15
%define libname %mklibname unuran %{major}
%define develname %mklibname unuran -d

Name:		unuran
Version:	1.8.1
Release: 	%mkrel 2
Summary:	Universal Non-Uniform Random number generator

Group:		System/Libraries
License:	GPLv2+
URL:		http://statistik.wu-wien.ac.at/unuran
Source0:	http://statistik.wu-wien.ac.at/unuran/%{name}-%{version}.tar.gz
BuildRequires:  autogen

%description
UNU.RAN  is an ANSI C library licensed under GPL.
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

-------------------------------------------
http://statistik.wu-wien.ac.at/unuran/
-------------------------------------------


%package -n %{libname}
Summary: Universal Non-Uniform Random number generator
Provides: %{name} = %{version}-%{release}
Group: System/Libraries

%description -n %{libname}
UNU.RAN  is an ANSI C library licensed under GPL. 
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

          -------------------------------------------
             http://statistik.wu-wien.ac.at/unuran/ 
          -------------------------------------------

%package -n %{develname}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Group: Development/Other
Summary: Header and object files for unuran
License: GPLv2+

%description -n %{develname}
Header and object files for unuran, and pdf docs.

%prep
%setup -q -n %{name}-%{version}
rm -rf autoconf
env NOCONFIGURE=1 ./autogen.sh

%build
%configure --enable-shared --disable-static
%make_build


%install
%make_install
rm $RPM_BUILD_ROOT/%{_libdir}/libunuran.la
rm $RPM_BUILD_ROOT/%{_includedir}/unuran_tests.h
rm $RPM_BUILD_ROOT/%{_infodir}/unuran_win32*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# clean examples
rm -rf __dist_examples __clean_examples
cp -a examples __clean_examples
make -C __clean_examples distclean
rm __clean_examples/Makefile*
mkdir __dist_examples
mv __clean_examples __dist_examples/examples


%files -n %{libname}
%doc COPYING AUTHORS README NEWS KNOWN-PROBLEMS THANKS UPGRADE
%{_infodir}/unuran*
%{_libdir}/libunuran.so.*

%files -n %{develname}
%{_includedir}/unuran*.h
%{_libdir}/libunuran.so
%doc doc/unuran.pdf __dist_examples/examples

#check # enable if you want - takes a long time
#SEED=2742664 make check




%changelog
* Tue Apr 28 2020 joequant <joequant> 1.8.1-2.mga8
+ Revision: 1572929
- redo autogen to get aarch64 architecture
- imported package unuran

